/*********************************************************************
 *
 *                Microchip USB C18 Firmware Version 1.0
 *
 *********************************************************************
 * FileName:        user.c
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the CompanyE for its PICmicro Microcontroller is intended and
 * supplied to you, the Companys customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS ISECONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Rawin Rojvanit       11/19/04    Original.
 ********************************************************************/

/** I N C L U D E S **********************************************************/
#include <p18cxxx.h>
#include <usart.h>
#include "system\typedefs.h"

#include "system\usb\usb.h"

#include "io_cfg.h"             // I/O pin mapping
#include "user\user.h"

/* include̓f{[hp̂̂Ȃ̂ŁARgAEg܂B
#include "user\temperature.h"
*/

/** V A R I A B L E S ********************************************************/
#pragma udata
// f{[hp̕ϐȂ̂ŁAׂč폜܂B
//@ȉ͂̃vOp̕ϐłB
	unsigned char buf[64];

/** P R I V A T E  P R O T O T Y P E S ***************************************/
// f{[hp̊֐̎QƂȂ̂ŁAׂč폜܂B

/** D E C L A R A T I O N S **************************************************/
#pragma code
void UserInit(void)
{
// f{[h֘ȀvO܂Aׂč폜܂B

}//end UserInit


/******************************************************************************
 * Function:        void ProcessIO(void)
 *
 * PreCondition:    None
 *
 * Input:           None
 *
 * Output:          None
 *
 * Side Effects:    None
 *
 * Overview:        This function is a place holder for other user routines.
 *                  It is a mixture of both USB and non-USB tasks.
 *
 * Note:            None
 *****************************************************************************/
void ProcessIO(void)
{   
// f{[h֘ÃvO܂Aׂč폜܂B

/********************************************************
 ȍ~ǉIWivOłB
XgRs[^
ǂ݂ƂȂPڂɂPāiAXL[R[h
̕ɂȂFႦaȂbAPȂ΂QƂȂjÂ܂܁AzXgRs[^
ɕԂvOłB
**********************************************************/

    if((usb_device_state < CONFIGURED_STATE)||(UCONbits.SUSPND==1)) return;
    
    if(USBGenRead((byte*)buf,USBGEN_EP_SIZE)) buf[0]+=1;
	else return;

    if(!mUSBGenTxIsBusy())
                USBGenWrite((byte*)buf,USBGEN_EP_SIZE);

}//end ProcessIO

// ȍ~ɂf{[hp̊֐ׂ͂č폜

/** EOF user.c ***************************************************************/
